typedef void * __builtin_va_list;
#define __builtin_stdarg_start(ap, parmN)	((void)((ap)= &(parmN)))
#define __builtin_va_arg(ap, type)		(*(type*)(ap))
#define __builtin_va_end(ap)			((void)((ap)=0))
#define __builtin_va_copy(d,s)

double __builtin_fabs(double);
float __builtin_fabsf(float);
long double __builtin_fabsl(long double);
float __builtin_cosf(float);
long double __builtin_cosl(long double);
float __builtin_sinf(float);
long double __builtin_sinl(long double);
float __builtin_sqrtf(float);
long double __builtin_sqrtl(long double);
char* __builtin_strchr(const char*, int);
char* __builtin_strrchr(const char*, int);
char* __builtin_strstr(const char*, const char*);
char* __builtin_strpbrk(const char*, const char*);
void* __builtin_alloca(__SIZE_TYPE__);
void* __builtin_memcpy(void* dest, const void* src, __SIZE_TYPE__ n);
void __builtin_saveregs();

#define __FD_ISSET(fd, fdsp) ((fd)!=0)
/* MINGW32 fix */
#ifdef __MINGW32__
#define _fileno(__F) ((__F)->_file)
#endif

